Version: 1.2.1
Release: alt0.M41.1
Name: mercurial
%setup_python_module %name

Summary: Mercurial source code management system
Group: Development/Other
License: GPL v2
Url: http://selenic.com/mercurial/

Source0: %name-%version.tar

Packager: Yury Yurevich <anarresti@altlinux.org>

BuildPreReq: rpm-build-python
BuildRequires: python-devel asciidoc xmlto

%add_python_req_skip win32api pywintypes win32com win32con win32file win32process winerror

%description
Mercurial is a fast fast, lightweight
Source Control Management system designed for
efficient handling of very large distributed projects

%prep
%setup

%build
%__python setup.py build

make -C doc clean
make -C doc all

# TODO: run tests on build

%install
%__python setup.py install --skip-build --root=%buildroot
install -D doc/hg.1 %buildroot/%_man1dir/hg.1
install -D doc/hgrc.5 %buildroot/%_man5dir/hgrc.5
install -D doc/hgignore.5 %buildroot/%_man5dir/hgignore.5
install -D contrib/bash_completion %buildroot/%_sysconfdir/bash_completion.d/mercurial


%files
%doc CONTRIBUTORS README contrib doc/*html
%_sysconfdir/bash_completion.d/mercurial
%_bindir/hg
%python_sitelibdir/%name-*py%__python_version.egg-info
%python_sitelibdir/hgext/*
%python_sitelibdir/mercurial/*
%_man1dir/hg.*
%_man5dir/hgrc.*
%_man5dir/hgignore.*

%changelog
* Fri May 01 2009 Yury Yurevich <anarresti@altlinux.org> 1.2.1-alt0.M41.1
- Rebuild for M41 branch

* Fri Apr 10 2009 Yury Yurevich <anarresti@altlinux.org> 1.2.1-alt1
- Update upstream to 1.2.1
- Push sources to gear

* Wed Dec 03 2008 Igor Zubkov <icesik@altlinux.org> 1.1-alt1
- 1.0.1 -> 1.1

* Tue Jul 15 2008 Igor Zubkov <icesik@altlinux.org> 1.0.1-alt1
- 1.0 -> 1.0.1
- CVE-2008-2942
  + insufficient input validation (patch from upstream)

* Mon May 12 2008 Igor Zubkov <icesik@altlinux.org> 1.0-alt3
- build without test

* Thu Apr 10 2008 Igor Zubkov <icesik@altlinux.org> 1.0-alt2
- fix build on x86_64

* Thu Apr 03 2008 Igor Zubkov <icesik@altlinux.org> 1.0-alt1
- 0.9.5 -> 1.0
- buildreq

* Fri Feb 15 2008 Grigory Batalov <bga@altlinux.ru> 0.9.5-alt1.1
- Rebuilt with python-2.5.

* Tue Oct 23 2007 Igor Zubkov <icesik@altlinux.org> 0.9.5-alt1
- 0.9.4 -> 0.9.5
- build with tests
- buildreq

* Wed Jul 18 2007 Igor Zubkov <icesik@altlinux.org> 0.9.4-alt1
- 0.9.3 -> 0.9.4
- buildreq

* Sat Feb 03 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.9.3-alt1
- New version

* Sun Sep 10 2006 Igor Zubkov <icesik@altlinux.org> 0.9.1-alt2
- remove python2.4(win32api) from requires
- buildreq

* Wed Aug 23 2006 Igor Zubkov <icesik@altlinux.org> 0.9.1-alt1
- 0.8 -> 0.9.1

* Sat Mar 25 2006 Igor Zubkov <icesik@altlinux.ru> 0.8-alt1
- 0.8

* Wed Nov 16 2005 Igor Zubkov <icesik@altlinux.ru> 0.7-alt1
- Initial build for Sisyphus
